=== debian/changelog ===
akonadi (4:17.12.3-0ubuntu3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:07:01 -0500

akonadi (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Add back akonadi-backend-postgresql dependency package, dropped in
    error in Artful. (LP: #1726112)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Apr 2018 08:33:57 +0100

akonadi (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:11 +0000

akonadi (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * PIM/akonadi is already broken in -release. So see if we can trade
    this off against just breaking it for the sqlite backend, which we
    don't use by default anyway. To be reverted when Qt 5.9.4 migrates.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Mar 2018 16:19:30 +0000

akonadi (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5networkmanagerqt-dev
  * Install kdevappwizard templates 
  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:42:59 +0000

akonadi (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Dec 2017 10:37:48 +0100

akonadi (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Bump soname with debianabimanager due to binary incompatible changes
    Upstream commit 9a0e50db1c0696b1d920610ff239146cf04cf88a
    'ABI break: merge ItemSerializerPluginV2 into ItemSerializerPlugin'
    - libkf5akonadicore5 -> libkf5akonadicore5abi1
  * Refresh symbols and remove further missing on ABI bumped and private libs
  * Drop upstream applied upstream_fix_korganiser_reminders.patch
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 14:59:45 +0000

akonadi (4:17.04.3-0ubuntu3) bionic; urgency=medium

  * debian/patches: Add upstream_fix_korganiser_reminders.patch
    Backport upstream fix for KDE Bug:384212 so the korganiser daemon
    can access and act on reminders (LP: #1730513)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 07 Nov 2017 12:44:50 +0000

akonadi (4:17.04.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:13:17 -0500
