=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
lib_packages = $(filter lib%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
	    -DAKONADI_RUN_SQLITE_ISOLATED_TESTS=OFF \
	    -DAKONADI_RUN_MYSQL_ISOLATED_TESTS=OFF \
	    -DAKONADI_RUN_PGSQL_ISOLATED_TESTS=OFF \
	    -D_testrunner=/usr/bin/akonaditest

override_dh_gencontrol:
	$(overridden_command) -- -V"stdexception:Depends="$$(cut -d" " -f2 debian/tmp/usr/include/KF5/AkonadiCore/std_exception.h | xargs dpkg -S | cut -d: -f1)

override_dh_installinit:
	$(overridden_command)
	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi

override_dh_installdocs:
	# Install README.Debian to backend packages
	$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
	$(overridden_command) --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(lib_packages),-p$(p)) -- -xkdepimlibs-data -xlibkf5akonadicore-bin
	$(overridden_command) -pakonadi-backend-sqlite -- -xqtbase-abi-5-9-4
	$(overridden_command) --remaining-packages -- -xkdepimlibs-data

override_dh_strip:
	$(overridden_command) --dbgsym-migration='akonadi-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Avoid tests extra build dependencies, check them with autopkgtests
