## akonadi 18.04.3

=== debian/changelog ===
akonadi (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Update mysql backend apparmor profile. (LP: #1797643)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 13 Oct 2018 11:15:42 +0100

akonadi (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update symbols
  * New upstream release (18.03.80)
  * Update lintian overrides
  * Sync watchfile and copyright files with debian
  * Update standards, compat and debhelper versions
  * Add upstream signing key
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Drop upstream applied patch fixing build with Qt 5.11
  * As per debian, bump abi of:
    - libkf5akonadiprivate5 -> libkf5akonadiprivate5abi1
    - libkf5akonadiwidgets5 -> libkf5akonadiwidgeta5abi1
  * Update sqlite workaround for 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:14 +0100

akonadi (4:17.12.3-0ubuntu5) cosmic; urgency=medium

  * Fix FTBFS with Qt 5.11.1.
  * Mark a symbol as optional.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 07:54:49 -0500

akonadi (4:17.12.3-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 03:20:22 -0500

akonadi (4:17.11.90-0ubuntu1) UNRELEASED; urgency=medium

  * New build depend on libkf5networkmanagerqt-dev
  * Install kdevappwizard templates 
  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Build dep on libboost-graph-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 03 Dec 2017 10:54:17 +0000
