=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Modestas Vainius <modax@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                default-libmysqlclient-dev | libmysqlclient-dev,
                dh-apparmor,
                extra-cmake-modules (>= 5.31.0~),
                kdesignerplugin (>= 5.31.0~),
                kgendesignerplugin (>= 5.31.0~),
                libboost-dev (>= 1.34.0~),
+               libboost-graph-dev,
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -37,8 +37,8 @@
                qtbase5-private-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
                shared-mime-info (>= 0.20),
-               xsltproc
-Standards-Version: 3.9.8
+               xsltproc,
+Standards-Version: 4.1.3
 Homepage: http://pim.kde.org/akonadi
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
@@ -71,7 +71,7 @@
          libkf5akonadiagentbase5 (= ${binary:Version}),
          libkf5akonadicore5abi1 (= ${binary:Version}),
          libkf5akonadiserver-dev (>= ${binary:Version}),
-         libkf5akonadiwidgets5 (= ${binary:Version}),
+         libkf5akonadiwidgets5abi1 (= ${binary:Version}),
          libkf5akonadixml5 (= ${binary:Version}),
          libkf5completion-dev (>= 5.31.0~),
          libkf5itemmodels-dev (>= 5.31.0~),
@@ -82,7 +82,7 @@
          libkf5xmlgui-dev (>= 5.31.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Replaces: kdepim-runtime (<< 4:4.13)
 Breaks: kdepim-runtime (<< 4:4.13)
 Conflicts: kdepimlibs5-dev
@@ -121,7 +121,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libkf5akonadiwidgets5 (= ${binary:Version})
+Recommends: libkf5akonadiwidgets5abi1 (= ${binary:Version})
 Description: Akonadi core library
  This library contains Akonadi PIM data server core classes.
  .
@@ -137,7 +137,9 @@
  .
  This package is part of the KDE Development Platform PIM libraries module.
 
-Package: libkf5akonadiwidgets5
+Package: libkf5akonadiwidgets5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5AkonadiWidgets
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -157,7 +159,9 @@
  .
  This package is part of the KDE Development Platform PIM libraries module.
 
-Package: libkf5akonadiprivate5
+Package: libkf5akonadiprivate5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5AkonadiPrivate
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -172,7 +176,7 @@
 Package: libkf5akonadiserver-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5akonadiprivate5abi1 (= ${binary:Version}), ${misc:Depends}
 Breaks: libakonadi-dev
 Replaces: libakonadi-dev
 Description: development files for the Akonadi PIM storage service
