=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 override_dh_shlibdeps:
 	$(overridden_command) $(foreach p,$(lib_packages),-p$(p)) -- -xkdepimlibs-data -xlibkf5akonadicore-bin
-	$(overridden_command) -pakonadi-backend-sqlite -- -xqtbase-abi-5-9-4
+	$(overridden_command) -pakonadi-backend-sqlite -- -xqtbase-abi-5-11-0
 	$(overridden_command) --remaining-packages -- -xkdepimlibs-data
 
 override_dh_strip:
